Subject: RE: Console escape char handling.
From: [email-masked] (Gary Clark)

26 Feb 1997 11:34:31 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="US-ASCII"
X-Authentication-Warning: fire.jeld-wen.com: mail set sender to <[email-masked]> using -f
Original-To: [email-masked] (gnu-win32)
X-Mailer: Microsoft Mail via PostalUnion/SMTP for Windows NT
Original-Sender: [email-masked]

This is the termcap cs parameter.  It is used to set the scrolling area   
of the screen.  The first parameter sets the top line and the second sets   
the bottom of the scroll region.  [1;24r will set scrolling for a full 24   
line screen.

 ----------
From:  Sheik
Sent:  Wednesday, February 26, 1997 9:56 AM
To:  gnu-win32
Subject:  Console escape char handling.

It appears that in fhandler.cc
 fhandler_console::char_command(char c)

in the cases, we aren't checking for escapes with "r" in them.  To be
honest, I am not really even sure what they are.  when I ssh to a shell,
and try to either run "pine" or "screen" they both send a ctrl sequence   
of
[1;24r    I don't really know what its suppse to do, but in linux's
console handling this is their handling for it.  gotoxay(currcons,0,0);
so all I can think of is that this is some sort of "home" sequence, that
will go home, and not clear screen.  oh, and the error I get from
char_command() is  "Bad escape 1, 24 114 (r)"

Anybody solve this one already?
Scott Kilau

 -
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".

Gary A. Clark  [email-masked]
#include <std/disclamer.h>  // Needed at work
"Buy 'em books, send 'em to school and all they do is eat the pages."
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".